Package it.ernytech.tdlib

## Class TdApi.CreatePrivateChat

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.CreatePrivateChat

Enclosing class:
  TdApi

    public static class TdApi.CreatePrivateChat
    extends TdApi.Function

Returns an existing chat corresponding to a given user.

Returns `Chat`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `force` If true, the chat will be created without network request.
`int` `userId` User identifier.

### Constructor Summary

Constructors
`CreatePrivateChat()` Default constructor.
`CreatePrivateChat​(int userId, boolean force)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### userId

    public int userId

User identifier.

#### force

    public boolean force

If true, the chat will be created without network request. In this case all information about the chat except its type, title and photo can be incorrect.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CreatePrivateChat

    public CreatePrivateChat()

Default constructor.

#### CreatePrivateChat

    public CreatePrivateChat​(int userId,
                             boolean force)

Constructor for initialization of all fields.

Parameters:
  `userId` - User identifier.
  `force` - If true, the chat will be created without network request. In this case all information about the chat except its type, title and photo can be incorrect.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR